Bug 239712 - multi-homed server broadcasts wrong MAC address (flip-flops)
multi-homed server broadcasts wrong MAC address (flip-flops)
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-network (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 13:44 EDT by Larry Dillon
Modified: 2008-08-18 10:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-18 10:27:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry Dillon 2007-05-10 13:44:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070223 CentOS/1.5.0.10-0.1.el4.centos Firefox/1.5.0.10

Description of problem:
The system seems to be broadcasting the MAC address of eth1 on eth0 but flips back and forth:

All of our OpenBSD machines logs fill up with this:
arp info overwritten for 216.146.96.37 by 00:0e:0c:c1:5d:3b on bge0
arp info overwritten for 216.146.96.37 by 00:12:3f:24:35:9e on bge0
arp info overwritten for 216.146.96.37 by 00:0e:0c:c1:5d:3b on bge0
arp info overwritten for 216.146.96.37 by 00:12:3f:24:35:9e on bge0
arp info overwritten for 216.146.96.37 by 00:0e:0c:c1:5d:3b on bge0
-- ad nauseum  --


2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:12:3f:24:35:9e brd ff:ff:ff:ff:ff:ff
    inet 216.146.96.37/23 brd 216.146.97.255 scope global eth0
    :
3: eth1: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:0e:0c:c1:5d:3b brd ff:ff:ff:ff:ff:ff
    inet 10.10.16.37/20 brd 10.10.31.255 scope global eth1
    

Version-Release number of selected component (if applicable):
system-config-network-1.3.22.0.EL.4.2-1

How reproducible:
Always


Steps to Reproduce:
1.install 2 nics
2.assign each an IP address
3.

Actual Results:
MAC address for eth1 gets broadcast as being associated with the IP address of eth0

Expected Results:
each interface should have one IP/MAC pair.

Additional info:
[root@web ~]# grep eth /etc/modprobe.conf
alias eth0 tg3
alias eth1 e1000
Comment 2 Florian La Roche 2007-09-24 06:19:06 EDT
Please add your local configuration (ifcfg-* files) and e.g.
"ifconfig"/"lsmod".

regards,

Florian La Roche
Comment 3 Harald Hoyer 2007-09-24 06:34:10 EDT
proper configuration would bind the interface "eth?" to the device via HWADDR in
the ifcfg-* file or via the system-config-network GUI.
Comment 4 Phil Knirsch 2008-08-18 10:27:42 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to persue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.